<?php
class GlobalSettings extends Application
{
	
	public $db;
	private $userid;
	public function __construct()	{
		//fetch db from Application for reference
		$this->db = parent::getDatabase();
		
		//prep base values
		$query = $this->db->prepare("SELECT `key`,`value` FROM `global_settings`");
		$query->execute();
		$settings = $query->fetchAll(PDO::FETCH_ASSOC);
		foreach($settings as $setting) {
			$variable_name = $setting['key'];
			$this->$variable_name = $setting['value'];
		}
		
	}
	
	public function update($data = array()) {
		$logger = new Logger();
		$log_sql = "";
		
    	if(!empty($data)) {
			foreach($data as $key=>$value) {
				$query = $this->db->prepare("SELECT * FROM `global_settings` WHERE `key` = ? ");
				$query->execute(array($key));
				$exists = $query->rowCount();
				//key already exists update
				$pdo_array = array();
				if($exists >= 1) {
					$sql = "UPDATE `global_settings` SET `value`=?";
					$pdo_array[] = $value;
					
					$sql .= " WHERE `key`= ?"; 
					$pdo_array[] = $key;
					
					//prepare the query
					$query = $this->db->prepare($sql);
					
					//execute query with all variables
					$query->execute($pdo_array);
					
					$log_sql .= $logger->fillSQLsequential($sql, $pdo_array)."\n\n";
				} else {
					$sql = "INSERT INTO global_settings";
					$sql .= " (`key`, `value`) VALUES (?, ?)";
					
					$pdo_array[] = $key;
					$pdo_array[] = $value;
					
					//prepare the query
					
					$query = $this->db->prepare($sql);
					
					//execute query with all variables
					$query->execute($pdo_array);
					
					$log_sql .= $logger->fillSQLsequential($sql, $pdo_array)."\n\n";
				}
				//key does not exists insert
			}
		}
		
		$logger->log("".$this->getGlobalUser(), "global_settings", "update", "".$this->getGlobalUser(), $log_sql);
		
		return;
	}
}