<?php
class Logger extends Application
{
	public $db;
	public $files_directory;
	
	public function __construct()
	{
		//set the files directory
		$this->files_directory = parent::getFilesDirectory();

		//fetch db from Application for reference
		$this->db = parent::getDatabase();
	}
	
	public function log($user_id, $table="", $action="", $ref_id="", $log_sql="") {
		$sql = "INSERT INTO `log`(created, updated, reference_id, table_name, action, sql_string, user_id) VALUES (:time,:time,:ref_id,:table,:action,:sql,:user_id)";
		$query = $this->db->prepare($sql);
		$pdo_array = array();
		$pdo_array[':time'] = date("Y-m-d H:i:s");
		$pdo_array[':ref_id'] = $ref_id;
		$pdo_array[':table'] = $table;
		$pdo_array[':action'] = $action;
		$pdo_array[':sql'] = $log_sql;
		$pdo_array[':user_id'] = $user_id;
		$query->execute($pdo_array);
	}
	
	public function logPDO($user_id, $table="", $action="", $ref_id="", $log_sql="", $pdo_array) {
		$log_sql = $this->fillSQL($log_sql, $pdo_array);
		$this->log($user_id, $table, $action, $ref_id, $log_sql);
	}
	
	public function logPDOsequential($user_id, $table="", $action="", $ref_id="", $log_sql="", $pdo_array) {
		$log_sql = $this->fillSQLsequential($log_sql, $pdo_array);
		$this->log($user_id, $table, $action, $ref_id, $log_sql);
	}
	
	public function fillSQL($sql, $pdo_array) {
		foreach($pdo_array as $name=>$value) {
			$sql = str_replace($name, $this->db->quote($value), $sql);
		}
		return $sql;
	}
	
	public function fillSQLsequential($sql, $pdo_array) {
		foreach($pdo_array as $value) {
			$pos = strpos($sql,"?");
			if ($pos !== false) {
			    $sql = substr_replace($sql,$value,$pos,1);
			}
		}
		return $sql;
	}
	
}