<?php 
	//pulls all required and global information
	include_once 'required.php';
	//only load the page if someone is actually logged in

	//needs to be increased on live server!!!
	ini_set('max_input_vars', 100000);
	
	//load start session for storage
	if(isset($global_user) && $global_user->user_email != '' && ($global_user->user_level < 5)) {

	//fetch the user for this particular profile, if there is none, leave blank
	if(isset($global_user->user_id)) {
		$user = new User($global_user->user_id);	
	} else {
		$user = '';
	}
	
	
	if(isset($_GET['id'])) {
		$tag = new Tag($global_user->user_id,$_GET['id']);
	} else {
		$tag = new Tag($global_user->user_id);
	}
	
	
	//handle post/updates
	if($_POST) {
		//check if update or add
		
		if(isset($_GET['id'])) {
			//update
			$data = $_POST;
			$tag->update($data);
			$_SESSION['splash'] = $_['tag_updated'];
			$_SESSION['splash_type'] = 'success';
			
			session_write_close();
			header('Location: tags');
			
			//reload the user data after update
			$tag = new Tag($_GET['id']);
			
			
		} else {
			$data = $_POST;
			$tag->add($data);
			$tag = new Tag($tag->getLastId());
			$_SESSION['splash'] = $_['tag_created'];
			$_SESSION['splash_type'] = 'success';
			session_write_close();
			header('Location: tags');
		}
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>


<!-- Main Quill library -->
<script src="//cdn.quilljs.com/1.3.6/quill.js"></script>

<!-- Theme included stylesheets -->
<link href="//cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
<link href="//cdn.quilljs.com/1.3.6/quill.bubble.css" rel="stylesheet">

<!-- Core build with no theme, formatting, non-essential modules -->
<link href="//cdn.quilljs.com/1.3.6/quill.core.css" rel="stylesheet">

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content" style="min-height:864px !important">
			<!-- BEGIN PAGE CONTAINER-->        
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					
					<?php include 'templates/splash.php'; ?>
					
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<h3 class="page-title">
							<?php echo $_['tag_page_title']; ?>
						</h3>
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="#"><?php echo $_['tag_page_title']; ?></a>
							</li>
						</ul>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">
					<div class="span12">
						<form id='button-form' class='form-horizontal' method='post' enctype="multipart/form-data">
							<div id='button-app'>
								<div class="control-group">
									<label class="control-label"><?php echo $_['tag_tag']; ?></label>
									<div class="controls">
										<input class='button-field' type='text' name='tag' id='tag' value='<?php echo (isset($tag->tag))?$tag->tag:''?>' placeholder='<?php echo $_['tag_tag']; ?>'/>
										<span class="help-block"><?php echo $_['tag_tag_help']; ?></span>
										<span id="warning-tag" class="warning warning-tag"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['tag_desc']; ?></label>
									<div class="controls">
										<div class='button-field' id='desc'></div>
										<textarea style='display:none;' name='desc_quill'></textarea>
										<span class="help-block"><?php echo $_['tag_desc_help']; ?></span>
										<span id="warning-desc" class="warning warning-desc"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['tag_seo_url']; ?></label>
									<div class="controls">
										<input class='button-field' type='text' name='seo_url' id='seo_url' value='<?php echo (isset($tag->seo_url))?$tag->seo_url:''?>' placeholder='<?php echo $_['tag_tag']; ?>'/>
										<span class="help-block"><?php echo $_['tag_seo_url_help']; ?></span>
										<span id="warning-seo_url" class="warning warning-seo_url"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['tag_custom_code']; ?></label>
									<div class="controls">
										<textarea name='custom_code' id="custom_code" placeholder="<style='text/css'>p {font-weight:bold;}</style>"><?php echo (isset($tag->custom_code))?$tag->custom_code:''?></textarea>
										<span class="help-block"><?php echo $_['tag_custom_code_help']; ?></span>
										<span id="warning-custom_code" class="warning warning-custom_code"></span>
									</div>
								</div>
								<div class="control-group">
									<label class="control-label"><?php echo $_['tag_active']; ?></label>
									<div class="controls">
										<select class="span6 m-wrap" name="active">
											<option value="1" <?php echo (!empty($tag->active) && $tag->active == '1') ? 'selected=selected' : '' ; ?>><?php echo $_['settings_on']; ?></option>
											<option value="0" <?php echo (!empty($tag->active) && $tag->active == '0') ? 'selected=selected' : '' ; ?>><?php echo $_['settings_off']; ?></option>
										</select>
										<span class="help-block"><?php echo $_['tag_active_help']; ?></span>
										<span id="warning-active" class="warning warning-active"></span>
									</div>
								</div>
								
								<input type='hidden' name='desc' value='<?php if(!empty($tag->desc)){echo $tag->desc;} ?>'/>
								<input type='hidden' name='action' id="action" value=''/>
								
								<?php if(isset($_GET['id'])) { ?>
									<input type='hidden' name='id' value='<?php echo $tag->id; ?>' />
								<?php } ?>
							</div>
							<br />
							<div class="form-actions">
								<input type='submit' class='btn green' name='submit' value='<?php echo $_['global_save']; ?>'>
							</div>
						</form>
					</div>
				</div>
				<!-- END PAGE CONTENT -->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->

<script type='text/javascript'>
	var quill = new Quill('#desc', {
	  modules: {
	    toolbar: [
	    [{ 'header': [1, 2, 3, 4, 5, 6, false] }],
	      ['bold', 'italic', 'underline', 'strike'],        // toggled buttons
	      ['link', 'blockquote', 'code-block', 'image'],
		  [{ 'list': 'ordered'}, { 'list': 'bullet' }],
		  [{ 'script': 'sub'}, { 'script': 'super' }],      // superscript/subscript
		  [{ 'indent': '-1'}, { 'indent': '+1' }],          // outdent/indent
		  [{ 'direction': 'rtl' }],                         // text direction
		  [{ 'size': ['small', false, 'large', 'huge'] }],  // custom dropdown
		  [{ 'color': [] }, { 'background': [] }],          // dropdown with defaults from theme
		  [{ 'align': [] }],
		  ['clean']
		]
	  },
	  placeholder: '<?php echo $_['tag_desc_placeholder']; ?>',
	  theme: 'snow'  // or 'bubble'
	});
	jQuery(document).ready(function() {
		<?php echo (isset($tag->desc_quill))?'quill.setContents('.$tag->desc_quill.');':''?>
	});
	var form = document.querySelector('form');
	form.onsubmit = function() {
		  // Populate hidden form on submit
	  var about = document.querySelector('textarea[name=desc_quill]');
	  about.value = JSON.stringify(quill.getContents());
	  var desc = document.querySelector('input[name=desc]');
	  desc.value = jQuery('.ql-editor').html();
	};

	jQuery("#tag").focusout(function() {
	 	if(jQuery("#seo_url").val() == ''){
	 		jQuery("#seo_url").val(gen_uri(jQuery("#tag").val()));
	 	}
	});

	function gen_uri(txt_src){
		var output = txt_src.replace(/[^a-öA-Ö0-9]/g,' ').replace(/\s+/g,"-").toLowerCase();
		/* remove first dash */
		if(output.charAt(0) == '-') output = output.substring(1);
		/* remove last dash */
		var last = output.length-1;
		if(output.charAt(last) == '-') output = output.substring(0, last);
	
		return output;
	}

	$('#seo_url').change(function() { 
		$('#warning-seo_url').html("");
		url_value = $('#seo_url').val();
		$.ajax({
	        url: "ajax.php",
		   	type: "POST",
		   	data:  {action:'isTagSeoUrlAvailable', url:url_value},
		   	success: function(data)	{
		   		if(data == "true") {
		   			$('#warning-seo_url').html("<?php echo $_['tag_seo_url_taken']; ?>");
		   		} else {
		   			$('#warning-seo_url').html("");
		   		}
		    },
		    error: function(e) {
		    }          
		});
	});
	</script>
	<style type='text/css'>
		#custom_code {
			width:100%;
			max-width:400px;
			height:200px;
		}
	</style>
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
 ?>