<?php
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//load start session for storage
if (!empty($global_user) && $global_user->user_id != '') {

	$resources = new Resources();

	if ($global_user->user_level <= 5) {
		if(isset($_GET['delete'])) {
			$resources->delete($_GET['delete']);
			$_SESSION['splash'] = $_['resources_deleted'];
			$_SESSION['splash_type'] = 'success';
		}
	}

	//filters for pagination urls
	$filter_parameters = "";
	$filter_values = array(
		'filter_id',
		'filter_swedish_word',
		'filter_elfdalian_word'
	);
	foreach($filter_values as $value) {
		if(isset($_GET[$value])) {
			$filter_parameters .= "&".$value."=".urlencode($_GET[$value]);
		}
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>

<link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css" />
<link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css" />

<style>
	#resources_table td{
		vertical-align: middle;
	}

	.image_cell{
		padding: 5px;
		width: 70px;
		height: 70px;
		text-align: center !important;
	}

	.preview_image{
		max-width: 70px;
		max-height: 70px;
		box-shadow: 1px 1px 4px black;
		cursor: pointer;
	}
</style>
<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index.html"><?php echo $_['global_dashboard']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li><a href="#"><?php echo $_['global_resources']; ?></a></li>
						</ul>
						<h3 class="page-title">
							<?php echo $_['resources_title']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">

					<?php include 'templates/splash.php'; ?>
                    <?php
                        $tag = new Tag($global_user->user_id);
                        $data['sort'] = 'tag';
                        $settings = array(
                            'start' => '0',
                            'limit' => '2000',
                            'total_results' => $tag->getTotalCount()
                        );
                        //get the number of results to display
                        $data['limit'] = $settings['limit'];

                        //get a results list;
                        $current_tags = $tag->get($data);

                        //no limit for counting actual results
                        $data['limit'] = 1000000;
                        $data['start'] = 0;
                        $current_tags_count =  count($tag->get($data));
                    ?>
					<div>
						<!-- BEGIN EXAMPLE TABLE PORTLET-->
						<div class="portlet box" style="padding-bottom:100px !important;">
							<div class="portlet-body">
								<form id='search_form' action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>' method='GET' onkeydown="return event.key != 'Enter';">
									<table class="table table-striped table-bordered table-hover" id="resources_table">
										<thead>
											<tr>
												<th><input name='filter_id' type='text' value='<?php echo (!empty($_GET['filter_id'])) ? htmlspecialchars($_GET['filter_id']): ''; ?>'></th>
												<th><input name='filter_swedish_word' type='text' value='<?php echo (!empty($_GET['filter_swedish_word'])) ? htmlspecialchars($_GET['filter_swedish_word']): ''; ?>'></th>
												<th><input name='filter_elfdalian_word' type='text' value='<?php echo (!empty($_GET['filter_elfdalian_word'])) ? htmlspecialchars($_GET['filter_elfdalian_word']): ''; ?>'></th>
												<th>
                                                    <select name="filter_tags">
                                                        <option></option>
                                                        <?php foreach($current_tags as $tag) { ?>
                                                            <option value="<?php echo $tag->id ?>" <?php echo @$_GET['filter_tags'] == $tag->id ? 'selected="selected"' : '' ?>>
                                                                <?php echo $tag->tag ?>
                                                                (<?php echo $tag->resource_count ?> st)
                                                            </option>
                                                        <?php } ?>
                                                    </select>
                                                </th>
											</tr>
											<tr>
												<th><?php echo $_['global_id']; ?></th>
												<th><?php echo $_['resources_swedish_word']; ?></th>
												<th><?php echo $_['resources_elfdalian_word']; ?></th>
												<th><?php echo $_['tags_tag']; ?></th>
											</tr>
										</thead>
									</table>

									<div class="btn-group pull-right transaction-search">
										<a class='btn hovertheme pull-right' href="#" onclick="document.getElementById('search_form').submit();"><i class="icon-search"></i>&nbsp;&nbsp;<?php echo $_['global_search']; ?></a>
									</div>

									<table class="table table-striped table-bordered table-hover" id="resources_table">
										<thead>
											<tr>
												<th></th>
												<th><?php //image ?></th>
												<th><?php echo $_['global_id']; ?></th>
												<th><?php echo $_['resources_swedish_word']; ?></th>
												<th><?php echo $_['resources_elfdalian_word']; ?></th>
												<th><?php echo $_['tags_tags']; ?></th>
												<th>
													<?php //if ($global_user->user_level <= 5) { ?>
														<a class="btn green" href='resource?resources_id=new'><?php echo $_['global_new']; ?></a>
													<?php //} ?>
												</th>
											</tr>
										</thead>
										<tbody>
											<?php
											$data = $_GET;
											$settings = array(
												'start' => '0',
												'limit' => '30',
												'sort' => 'name'
											);

											//get the number of results to display
											$data['limit'] = $settings['limit'];

											//calculate starting point
											if(isset($_GET['page'])) {
												$start = ($_GET['page']-1) * $settings['limit'];
												$data['start'] = $start;
												$settings['start'] = $start;
											}

											//get a results list;
											$current_resources = $resources->getResources($data);

											//no limit for counting actual results
											$data['limit'] = 1000000;
											$data['start'] = 0;
											$current_resources_count =  count($resources->getResources($data));

											//set current order count
											$settings['current_resources'] = $current_resources_count;

											foreach($current_resources as $resource) {
											?>

											<tr class="odd gradeX">
												<td><input class="resource_to_add_mass_id" type="checkbox" name="resource_to_add_mass_id" value="<?php echo $resource->id; ?>" /></td>
												<td class='image_cell'><a href='resource?resources_id=<?php echo $resource->id; ?>'><img src="<?php echo $resources->getLatestResourceFile($resource->id, "image")->full_path; ?>" class="preview_image"></a></td>
												<td><?php echo $resource->id; ?></td>
												<td><?php echo $resource->swe_word; ?></td>
												<td><?php echo $resource->elfdalian_word; ?></td>
												<td><?php @array_map( function ($item) { echo "<span class='resource-tag'>".$item."</span>"; }, explode( ';', $resource->categories)); ?></td>
												<td>
													<a href='resource?resources_id=<?php echo $resource->id; ?>'><?php echo $_['global_edit']; ?></a>
													<?php if ($global_user->user_level <= 5) { ?>
														&nbsp;&nbsp;&nbsp;<a href='resources?delete=<?php echo $resource->id; ?>'><?php echo $_['global_delete']; ?></a>
													<?php } ?>
												</td>
											</tr>
											<?php } ?>
										</tbody>
									</table>
									<div class="row-fluid">
										<div class="span6">
											<div class="dataTables_info" id="sample_3_info">
												<?php echo $_['global_showing'] .' ' . ($settings['start']+1) . ' ' . $_['global_page_to'] .' '. ($settings['start']+$settings['limit']) .' '.$_['global_of'].' '.$current_resources_count.' '.$_['global_resources']; ?>
											</div>
										</div>
										<div class="span6">
											<div class="dataTables_paginate paging_bootstrap pagination">
												<ul>
													<li class="prev <?php echo ($settings['start'] <= 1) ? 'disabled':''; ?>">
														<?php
														$page = 1;
														if(!empty($_GET['page'])) {
																$page = htmlspecialchars($_GET['page']);
														} ?>
														<?php if($settings['start'] > 1) { ?>
														<a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/resources.php?page=<?php echo htmlspecialchars($page-1); ?><?php echo $filter_parameters; ?>">
														<span class="hidden-480"><?php $_['global_previous']; ?></span></a>
														<?php } ?>
													</li>
													<?php
													$total_pages = ceil($settings['current_resources']/$settings['limit']);
													$i = 1;
													while($i <= $total_pages) { ?>
														<?php if($page + 5 > $i && $page - 5 < $i) { ?>
														<li class="<?php echo (empty($page) || $page == $i) ? 'active':''; ?>"><a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/resources.php?page=<?php echo $i; ?><?php echo $filter_parameters; ?>"><?php echo $i; ?></a></li>
														<?php } $i++;
													}
													//check if we are on the last page
													if($settings['start'] + $settings['limit'] < $current_resources_count) {
														$last_page = true;
													} else {
														$last_page = false;
													}
													?>
													<li class="next <?php echo ($last_page) ? 'disabled':''; ?>">
														<?php if($last_page) { ?>
														<a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/resources.php?page=<?php echo htmlspecialchars($_GET['page']+1); ?><?php echo $filter_parameters; ?>">
															<span class="hidden-480"><?php $_['global_next']; ?></span>
														</a>
														<?php } ?>
													</li>
												</ul>
											</div>
										</div>
									</div>
								</form>
								<table class="table table-striped table-bordered table-hover fixed-bottom">
										<thead>
											<tr>
												<th style="width:50%"><?php echo $_['game_filter_tags']; ?></th>
												<th style="width:50%"><?php echo $_['game_select_tags']; ?></th>
											</tr>
											<tr>
												<th><input id='search_tag_text' name='search_tag_text' type='text' value='' oninput='fillTagSearch()'></th>
											<th><span id='search_tag_container'><select id='searchTag' name='searchTag'><option value='' selected></option></select></span><span class="tags_result"></span></th>
											</tr>
										</thead>
									</table>
							</div>
						</div>
						<!-- END TABLE PORTLET-->
					</div>
				</div>
				<!-- END PAGE CONTENT-->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->
	</div>
	<!-- END CONTAINER -->
	<script>
		$('document').ready(function(){fillTagSearch();});

			function fillTagSearch() {
				var searchtaginput = ''+$('#search_tag_text').val();
				var excluded_ids = "";
				$(".tag_row").each(function() {
					if (excluded_ids != "") {
						excluded_ids = excluded_ids + " ";
					}
					excluded_ids = excluded_ids + $(this).attr('tags_id');
				});

				$.ajax({
					url: 'ajax.php',
			    	method: 'POST',
					data: { action : 'return_tag_search', searchterm : searchtaginput, exclude: excluded_ids},
				})
				.done(function( msg ) {
					$('#search_tag_container').html(msg);
					$('#searchTag').change(function() {
						addTagToTable();
					});
				});
			}

			function addTagToTable() {
				if ($("#searchTag").val() > 0) {
					var resourceIDs = $(".resource_to_add_mass_id:checkbox:checked").map(function(){
				      return $(this).val();
				    }).get();
				    if(resourceIDs.length > 0) {
					var tags_id = $("#searchTag").val();

					//$('#search_tag_container').html("<select id='searchTag' name='searchTag'><option value='' selected></option></select>");
						$.ajax({
							url: 'ajax.php',
					    	method: 'POST',
							data: { action : 'add_tag_row_mass_add_resource', tags_id: tags_id, resource_ids: resourceIDs.join(':')}
						})
						.done(function( msg ) {
							$('.tags_result').html('&nbsp;Resurser uppdaterade');
							$(".resource_to_add_mass_id:checkbox:checked").map(function() {
								console.error('test');
								$(this).removeAttr('checked');
								$(this).parent().removeClass('checked').parent().parent().addClass('added');
                            });
							$('#searchTag').val('');
						});
					}
				}
			}

			function removeTagRow(tags_id) {
				$('#tag_row_'+tags_id).remove();
				$('#tags_editted').val(1);
			}
	</script>
	<?php include 'templates/footer.php'; ?>

<?php
//close the page load user check
} else {
	header('Location: login');
}
 ?>
