<?php
	//pulls all required and global information
	include_once 'required.php';
	//only load the page if someone is actually logged in

		//load start session for storage
	if(!empty($global_user) && $global_user->user_email != '' || !empty($global_user) && $global_user->user_level < 5) {

	//fetch the user for this particular profile, if there is none, leave blank
	if(isset($_GET['id'])) {
		$user = new User($_GET['id']);
	} else {
		$user = new User($global_user->user_id);
	}

	$tag = new Tag($global_user->user_id);

	if(isset($_GET['delete']) && isset($_GET['tag_id'])) {
		$tag->delete($_GET['tag_id']);
		$_SESSION['splash'] = $_['tags_deleted'];
		$_SESSION['splash_type'] = 'success';
	}

?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>


<link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css" />
<link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css" />


<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<h3 class="page-title">
							<?php echo $_['tags_title']; ?>
						</h3>
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index.html"><?php echo $_['global_dashboard']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li><a href="#"><?php echo $_['tags_title']; ?></a></li>
						</ul>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid transactions">

					<?php include 'templates/splash.php'; ?>

					<div>
						<!-- BEGIN EXAMPLE TABLE PORTLET-->
						<div class="portlet box">
							<div class="portlet-body">
								<form action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>' method='GET'>
								<div class="btn-group pull-right transaction-search">
									<a class="btn green pull-right" href='tag'><?php echo $_['tags_new']; ?></a>
								</div>
									<table class="table table-striped table-bordered table-hover" id="transaction_table">
										<thead>
											<tr>
												<th><?php echo $_['tags_id'];?></th>
												<th><?php echo $_['tags_tag']; ?></th>
												<!-- <th><?php echo $_['tags_difficulty']; ?></th> -->
												<th><?php echo $_['games_resource_count']; ?></th>
												<th></th>
												<th></th>
											</tr>
										</thead>
										<tbody>

											<?php
											$data = $_GET;
											$data['sort'] = 'tag';
											$settings = array(
												'start' => '0',
												'limit' => '20',
												'total_results' => $tag->getTotalCount()
											);

											//get the number of results to display
											$data['limit'] = $settings['limit'];

											//calculate starting point
											if(isset($_GET['page'])) {
												$start = ($_GET['page']-1) * $settings['limit'];
												$data['start'] = $start;
												$settings['start'] = $start;
											}

											//get a results list;
											$current_tags = $tag->get($data);

											//no limit for counting actual results
											$data['limit'] = 1000000;
											$data['start'] = 0;
											$current_tags_count =  count($tag->get($data));

											//set current order count
											$settings['current_buttons'] = $current_tags_count;

											foreach($current_tags as $tag) {
											?>

											<tr class="odd gradeX">
												<td>
													<?php if($tag->active) { ?>
														<figure class='active-icon green'>&nbsp;</figure>
													<?php } else { ?>
														<figure class='active-icon red'>&nbsp;</figure>
													<?php }?>

													<?php echo $tag->id; ?>
												</td>
												<td>
													<?php echo $tag->tag; ?>
												</td>
												<!-- <td>
													<?php if(!empty($_['tag_difficulty_'.$tag->difficulty])) { ?>
														<?php echo $_['tag_difficulty_'.$tag->difficulty]; ?>
													<?php } ?>
												</td>-->
                                                <td>
													<?php echo $tag->resource_count; ?>
                                                </td>
												<td><a class='btn green' href='tag?id=<?php echo $tag->id; ?>'><?php echo $_['tags_view']; ?></a></td>
												<td><a class='btn red' onclick='return confirmDelete();' href='tags?tag_id=<?php echo $tag->id; ?>&delete=1'><?php echo $_['tags_delete']; ?></a></td>
											</tr>
											<?php } ?>
										</tbody>
									</table>
									<div class="row-fluid">
										<div class="span6">
											<div class="dataTables_info" id="sample_3_info">
												<?php echo $_['tags_showing'] .' ' . ($settings['start']+1) . ' ' . $_['tags_page_to'] .' '. ($settings['start']+$settings['limit']) .' '.$_['tags_of'].' '.$current_tags_count.' '.$_['tags_tags']; ?>
											</div>
										</div>
										<div class="span6">
											<div class="dataTables_paginate paging_bootstrap pagination">
												<ul>
													<li class="prev <?php echo ($settings['start'] <= 1) ? 'disabled':''; ?>">
														<?php
														$page = 1;
														if(!empty($_GET['page'])) {
																$page = htmlspecialchars($_GET['page']);
														} ?>
														<?php if($settings['start'] > 1) { ?>
														<a href="<?php echo $global_admin_path; ?>tags?page=<?php echo htmlspecialchars($page-1); ?>">←
														<span class="hidden-480"><?php $_['tags_previous']; ?></span></a>
														<?php } ?>
													</li>
													<?php
													$total_pages = ceil($settings['current_buttons']/$settings['limit']);
													$i = 1;
													while($i <= $total_pages) { ?>
														<?php if($page + 5 > $i && $page - 5 < $i) { ?>
														<li class="<?php echo (empty($page) || $page == $i) ? 'active':''; ?>"><a href="<?php echo $global_admin_path; ?>tags?page=<?php echo $i; ?>"><?php echo $i; ?></a></li>
														<?php } $i++;
													}
													//check if we are on the last page
													if($settings['start'] + $settings['limit'] < $settings['total_results']) {
														$last_page = true;
													} else {
														$last_page = false;
													}
													?>
													<li class="next <?php echo ($last_page) ? 'disabled':''; ?>">
														<?php if($last_page) { ?>
														<a href="<?php echo $global_admin_path; ?>tags?page=<?php echo htmlspecialchars($_GET['page']+1); ?>">
															<span class="hidden-480"><?php $_['tags_next']; ?></span> →
														</a>
														<?php } ?>
													</li>
												</ul>
											</div>
										</div>
									</div>
								</form>
							</div>
						</div>
						<!-- END TABLE PORTLET-->
					</div>
				</div>
				<!-- END PAGE CONTENT-->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->
	</div>
	<!-- END CONTAINER -->
	<script type='text/javascript'>
		function confirmDelete() {
			var result = confirm("Vill du verkligen ta bort denna partner?");
			if (result) {
			    return true;
			}
			return false;
		}
	</script>
	<?php include 'templates/footer.php'; ?>

<?php
//close the page load user check
} else {
	header('Location: login');
}
 ?>
