function start_login_qr() {
	$.ajax({
		type: "POST",
		url: '/ajaxfunctions.php',
		data: {
			action: 'initialize_bankid_qr'
		},
		success: function(response)
		{
			var jsonData = JSON.parse(response);
			login_code_qr = jsonData.orderRef;
		}
	});
}

$(".login_qr_img").click(function() {
	if (login_code_qr == "") {
		start_login_qr();
	}
});

$('#login_input_id').on('paste', function () {
	update_login_button();
});

$('#login_input_id').on('input', function () {
	update_login_button();
});

$('.login-input').keypress(function (e) {
	if (e.keyCode == 13) {
		$('#login_button').click();
		return false;
	}
});

function update_login_button() {
	$("#login_input_password").addClass("login-input-inactive");
	if ($("#login_input_id").val()) {
		numeric_input = $("#login_input_id").val().replace(/\D/g,'');
		if (numeric_input.length == 12) {
			login_mode = 2;
			$('#login_button').html("Bank ID Person Number Login");
		} else {
			login_mode = 1;
			$("#login_input_password").removeClass("login-input-inactive");
			if ($("#login_input_id").val().indexOf("@") >= 0) {
				$('#login_button').html("Email Login");
			} else {
				$('#login_button').html("Username Login");
			}
		}
	} else {
		//Set button to register
		login_mode = 3;
		$('#login_button').html("Registrering");
	}
};

function update_login_state() {
	//update QR code
	if (login_code_qr != "") {
		$('#bankid_qr_reset_button').css("display",'none');
		$.ajax({
			type: "POST",
			url: '/ajaxfunctions.php',
			data: {
				action: 'get_bankid_qr_src',
				code: login_code_qr
			},
			success: function(response)
			{
				if (login_code_qr != "") {
					$('.login_qr_img').attr("src", response);
				}
			}
		});
	} else {
		$('#bankid_qr_reset_button').css("display",'block');
	}
	
	//check qr entry
	if (login_code_qr != "") {
		login_check_code(0);
	}
	
	//check manual entry
	if (login_code_manual != "") {
		login_check_code(1);
	}
}

//RUN VALIDATION
function login_check_code(type) {
	if (type == 1) {
		code = login_code_manual;
	} else {
		code = login_code_qr;
	}
	
	$.ajax({
		type: "POST",
		url: '/ajaxfunctions.php',
		data: {
			action: 'validate_bankid_login',
			code: code
		},
		success: function(response) {
			var jsonData = JSON.parse(response);
			if (jsonData.status == "success") {
				$('#account_login_redirect').submit();
			}
			if (jsonData.status == "expired") {
				if (type == 1) {
					login_code_manual = "";
				} else {
					login_code_qr = "";
					$('.login_qr_img').attr("src", login_qr_default);
				}
			}
			if (jsonData.status == "failed") {
				if (type == 1) {
					login_code_manual = "";
				} else {
					login_code_qr = "";
					$('.login_qr_img').attr("src", login_qr_default);
				}
				console.log('Bank ID verification failure: '+jsonData.errorCode+":"+jsonData.errorMessage);
				$('#login_feedback').html("Bank ID verification failure ("+jsonData.errorCode+"): "+jsonData.errorMessage);
			}
		}
	});
}

$("#login_button").click(function() {
	if (login_mode == 1) {
		login_attempt_username();
	}
	if (login_mode == 2) {
		login_attempt_person_number();
	}
	if (login_mode == 3) {
		login_attempt_register();
	}
});

function login_attempt_register() {
	window.location.href = "/register";
}

function login_attempt_person_number() {
	person_number = $('#login_input_id').val();
	person_number = person_number.replace(/[^0-9]/g, "");
	
	$.ajax({
		type: "POST",
		url: '/ajaxfunctions.php',
		data: {
			action: 'initialize_bankid_login',
			person_number: person_number
		},
		success: function(response)
		{
			var jsonData = JSON.parse(response);
			if (jsonData.status == "success") {
				login_code_manual = jsonData.orderRef;
				$('#login_feedback').html("Open the BankID app (<a href='bankid:///?autostarttoken="+jsonData.orderRef+"'>Take me there</a>)");
			} else {
				$('#login_feedback').html("<span class='warning'>Ngot gick fel - "+jsonData.errorCode+": "+jsonData.errorMessage+"</span>");
			}
		}
	});
}

function login_attempt_username() {
	username = $("#login_input_id").val();
	password = $("#login_input_password").val();
	//$("#flash").show();
	//$("#flash").fadeIn(400).html('<img src="/images/ajax-loader.gif" />');
	$.ajax({
		type: "POST",
		url: "/login.php",
		data: {luser : username, lpasswd : password},
		success: function(html){
			success = true;
			//if(html == 'pass') {
			if (html.indexOf("pass") >= 0) {
				success = false;
				html = 'Felaktigt lsenord!';
			}
			//if(html == 'blocked'){
			if (html.indexOf("blocked") >= 0) {
				success = false;
				html = 'Anvndare sprrad. Kontakta Netauktion!';
			}
			//if(html == 'inactive') {
			if (html.indexOf("inactive") >= 0) {
				success = false;
				html = 'Anvndare ej aktiv. Kontakta Netauktion!';
			}
			//if(html == 'noexist'){
			if (html.indexOf("noexist") >= 0) {
				success = false;
				html = 'Ingen anvndare med det anvndarnamnet!';
			}
			//if(html == 'nodetails'){
			if (html.indexOf("nodetails") >= 0) {
				success = false;
				html = 'Du har inte fyllt i namn eller lsenord!';
			}
			//$("#flash").fadeIn(400).html("<span class='alert-danger'>"+html+"</span>");
			if (success) {
				location.reload();
			} else {
				$('#login_feedback').html(html);
				//jQuery('.notice-content').html('<h2>'+html+'</h2>');
		   		//runNoticeModal();
			}
		}
	});
}
