/* KWIKK IMAGE UPLOAD */
$(document).ready(()=>{

	$('.img_upload_trigger').click(ev=>{
		let el = ev.target
		$(el).closest('.file-upload-wrap').find('input[type="file"]').click()
	})

	$('.img_upload_clear').click(ev=>{
		let el = ev.target
		$(el).closest('.file-upload-wrap').find('input.file-upload-namefield').val('')
		let previewEl = $(el).closest('.file-upload-wrap').find('img.img_upload_preview')
		previewEl.attr("src", '');
	})


	var droppedFiles = false;
	$wrap = $('.file-upload__drag-target-wrap')
	$form = $('.file-upload__drag-target')
	$form.on('drag dragstart dragend dragover dragenter dragleave drop', function(ev) {
		ev.preventDefault();
		ev.stopPropagation();
	})
	.on('dragover dragenter', function(ev) {
		let $hoverForm = $(ev.target).closest('.file-upload__drag-target-wrap')
		$hoverForm.addClass('is-dragover');
	})
	.on('dragleave dragend drop', function(ev) {
		let $hoverForm = $(ev.target).closest('.file-upload__drag-target-wrap')
		$hoverForm.removeClass('is-dragover');
	})
	.on('drop', function(ev) {
		droppedFiles = ev.originalEvent.dataTransfer.files;
		let el = ev.target
		let file = droppedFiles[0];
		console.log(el, droppedFiles)
		
		let $hoverForm = $(ev.target).closest('.file-upload__drag-target-wrap')
		$hoverForm.addClass('is-uploading');
		uploadFile(el, file, $hoverForm)
	});

	$('input[type=file].file-upload').change(function(ev) { 
		let el = ev.target
		let file = el.files[0];
		uploadFile(el, file)
	})

})
function uploadFile(el, file, dragform = false){
	let previewEl = $(el).closest('.file-upload-wrap').find('img.img_upload_preview')
	let fieldEl = $(el).closest('.file-upload-wrap').find('input.file-upload-namefield')
	let formDataObj = new FormData();
	formDataObj.append("action", "uploadFile");
	formDataObj.append("fileToUpload", file, file.name);
	console.log(formDataObj)

	$.ajax({
		url: "/ajax.php",
		type: "POST",
		data:  formDataObj,
		contentType: false,
		cache: false,
		processData:false,
		beforeSend : function() { },    
		success: function(data)	{
			// console.log('success?', data)
			if(data == 'invalid') {
				// invalid file format.
				alert("Invalid file format");
			} else {
				// view uploaded file.
				let image_url = data.trim();
				previewEl.attr("src", image_url);
				fieldEl.val(image_url);

				if(dragform) {
					dragform.removeClass('is-uploading');
					dragform.addClass('upload-complete');
					setTimeout(() => {
						dragform.removeClass('upload-complete');
					}, 3000);
				}

			}
		},
		error: function(e) {
			console.log('hard fail', e)
		}
	});
}